%define rel	2
#define pre	rc1
%define ver	%{version}
%define release %{?pre:%mkrel -c %{pre} %rel}%{?!pre:%mkrel %rel}
%define srcname %{?pre:%{name}-%{ver}%{pre}}%{?!pre:%{name}-%{ver}}

Summary:	The official MusicBrainz tagger
Name:		picard
Version:	2.13.3
Release:	%{release}
License:	GPLv2+
Group:		Sound/Utilities
Url:		https://musicbrainz.org/doc/MusicBrainz_Picard
Source0:	https://ftp.musicbrainz.org/pub/musicbrainz/picard/%{srcname}.tar.gz
Patch0:		picard-relax-dependencies.patch

BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3-qt5-devel

Requires:	python3-qt5-core
Requires:	python3-qt5-dbus
Requires:	python3-qt5-gui
Requires:	python3-qt5-multimedia
Requires:	python3-qt5-network
Requires:	python3-qt5-widgets
Requires:	qtmultimedia5
#gw for fpcalc (AcoustID calculation)
Requires:	chromaprint
#gw for metaflac:
Recommends:	flac
#gw for wvgain:
Recommends:	wavpack
Recommends:	mp3gain

%description
MusicBrainz Picard is the official MusicBrainz tagger, written in Python 3.

Picard supports the majority of audio file formats, is capable of using audio
fingerprints (PUIDs), performing CD lookups and disc ID submissions, and it has
excellent Unicode support. Additionally, there are several plugins available
that extend Picard's features.

When tagging files, Picard uses an album-oriented approach. This approach
allows it to utilize the MusicBrainz data as effectively as possible and
correctly tag your music. For more information, see the illustrated quick start
guide to tagging.

Picard is named after Captain Jean-Luc Picard from the TV series Star Trek: The
Next Generation.

%prep
%autosetup -p1 -n %{name}-%{ver}%{?pre:%{pre}}

%generate_buildrequires
%pyproject_buildrequires

%build
%{python3} setup.py config
%pyproject_wheel

%install
%pyproject_install

%find_lang %{name}
%find_lang %{name}-attributes
%find_lang %{name}-countries
%find_lang %{name}-constants
cat %{name}-*.lang >> %name.lang

%files -f %{name}.lang
%doc AUTHORS.txt NEWS.md
%license COPYING.txt
%{_bindir}/%{name}
%{python3_sitearch}/*
%{_datadir}/applications/org.musicbrainz.Picard.desktop
%{_metainfodir}/org.musicbrainz.Picard.appdata.xml
%{_iconsdir}/hicolor/*/apps/*


%changelog
* Fri Mar 07 2025 daviddavid <daviddavid> 2.13.3-2.mga10
+ Revision: 2161370
- rebuild for python 3.13

* Tue Feb 18 2025 daviddavid <daviddavid> 2.13.3-1.mga10
+ Revision: 2149390
- new version: 2.13.3

* Sat Feb 08 2025 daviddavid <daviddavid> 2.13.2-1.mga10
+ Revision: 2146132
- new version: 2.13.2
- switch to pyproject

* Wed Sep 04 2024 kekepower <kekepower> 2.12.3-1.mga10
+ Revision: 2093077
- Update to version 2.12.3

* Wed Aug 14 2024 daviddavid <daviddavid> 2.12.1-1.mga10
+ Revision: 2086578
- new version: 2.12.1

* Fri Jun 28 2024 kekepower <kekepower> 2.12.0-1.mga10
+ Revision: 2077930
- Update to version 2.12

* Tue Feb 13 2024 daviddavid <daviddavid> 2.11.0-1.mga10
+ Revision: 2040964
- new version: 2.11.0

* Fri Dec 29 2023 daviddavid <daviddavid> 2.10.0-1.mga10
+ Revision: 2023561
- new version: 2.10.0 (final)

* Fri Dec 29 2023 daviddavid <daviddavid> 2.10.0-0.rc1.2.mga10
+ Revision: 2023549
- rebuild for py3.12

* Tue Oct 10 2023 kekepower <kekepower> 2.10.0-0.rc1.1.mga10
+ Revision: 1994173
- Update to version 2.10.0rc1

* Tue Sep 12 2023 kekepower <kekepower> 2.9.2-1.mga10
+ Revision: 1986361
- Update to version 2.9.2

* Mon Aug 28 2023 kekepower <kekepower> 2.9.1-1.mga10
+ Revision: 1980648
- Update to version 2.9.1

* Mon Mar 20 2023 papoteur <papoteur> 2.8.5-2.mga9
+ Revision: 1949866
- remove qtwebkit requirement. No reference to it in code nor requirements

* Tue Dec 06 2022 kekepower <kekepower> 2.8.5-1.mga9
+ Revision: 1918591
- Update to version 2.8.5

* Tue Nov 22 2022 kekepower <kekepower> 2.8.4-1.mga9
+ Revision: 1910274
- Update to version 2.8.4

* Sun Aug 21 2022 kekepower <kekepower> 2.8.3-1.mga9
+ Revision: 1879005
- Update to version 2.8.3

* Thu Jul 07 2022 kekepower <kekepower> 2.8.2-1.mga9
+ Revision: 1867965
- Update Build Requires
- Update to version 2.8.2

* Tue Jun 07 2022 kekepower <kekepower> 2.8.1-1.mga9
+ Revision: 1863472
- Update to version 2.8.1

* Thu May 26 2022 kekepower <kekepower> 2.8.0-1.mga9
+ Revision: 1860432
- Update to version 2.8.0 final

* Thu May 12 2022 kekepower <kekepower> 2.8.0-0.rc2.1.mga9
+ Revision: 1857722
- Update to version 2.8.0rc2

* Thu May 05 2022 kekepower <kekepower> 2.8.0-0.rc1.1.mga9
+ Revision: 1856358
- Update to version 2.8.0rc1

* Wed Apr 06 2022 umeabot <umeabot> 2.7.3-3.mga9
+ Revision: 1845943
- Mageia 9 Mass Rebuild

* Sun Feb 27 2022 mrambo3501 <mrambo3501> 2.7.3-2.mga9
+ Revision: 1786005
- rebuild for python-3.10

* Fri Jan 14 2022 kekepower <kekepower> 2.7.3-1.mga9
+ Revision: 1768269
- Update to version 2.7.3

* Tue Jan 11 2022 kekepower <kekepower> 2.7.2-1.mga9
+ Revision: 1768044
- Update to version 2.7.2

* Fri Dec 24 2021 kekepower <kekepower> 2.7.1-1.mga9
+ Revision: 1763568
- Update to version 2.7.1

* Fri Dec 17 2021 kekepower <kekepower> 2.7.0-1.mga9
+ Revision: 1762293
- Update to version 2.7 final

* Thu Dec 02 2021 kekepower <kekepower> 2.7.0-0.b3.1.mga9
+ Revision: 1760541
- Update to version 2.7.0b3

* Tue Nov 09 2021 kekepower <kekepower> 2.7.0-0.b2.1.mga9
+ Revision: 1755346
- Update to version 2.7.0b2

* Thu Oct 07 2021 kekepower <kekepower> 2.6.4-1.mga9
+ Revision: 1749957
- Update to version 2.6.4

* Mon Jun 07 2021 kekepower <kekepower> 2.6.3-1.mga9
+ Revision: 1730074
- Update to version 2.6.3

* Tue Apr 27 2021 kekepower <kekepower> 2.6.2-1.mga9
+ Revision: 1720076
- Update to version 2.6.2

* Fri Apr 16 2021 kekepower <kekepower> 2.6.1-1.mga9
+ Revision: 1715928
- Update to version 2.6.1

* Tue Mar 30 2021 kekepower <kekepower> 2.6.0-1.mga9
+ Revision: 1712063
- Update to version 2.6 final

* Mon Mar 22 2021 kekepower <kekepower> 2.6.0-0.b3.1.mga9
+ Revision: 1707758
- Update to version 2.6.0b3

* Sat Mar 20 2021 daviddavid <daviddavid> 2.6.0-0.b2.2.mga9
+ Revision: 1705354
- rebuild for python 3.9

* Sat Mar 06 2021 kekepower <kekepower> 2.6.0-0.b2.1.mga9
+ Revision: 1700266
- Update to version 2.6.0b2

* Fri Jan 15 2021 kekepower <kekepower> 2.5.6-1.mga8
+ Revision: 1671958
- Update to version 2.5.6

* Wed Jan 13 2021 daviddavid <daviddavid> 2.5.5-2.mga8
+ Revision: 1671504
- update dependencies

* Fri Dec 18 2020 kekepower <kekepower> 2.5.5-1.mga8
+ Revision: 1660857
- Update to version 2.5.5

* Tue Dec 15 2020 kekepower <kekepower> 2.5.3-1.mga8
+ Revision: 1657840
- Update to version 2.5.3

* Sun Nov 15 2020 kekepower <kekepower> 2.5.2-1.mga8
+ Revision: 1646441
- Update to version 2.5.2

* Wed Oct 28 2020 kekepower <kekepower> 2.5.1-1.mga8
+ Revision: 1640304
- Update to version 2.5.1

* Thu Oct 22 2020 kekepower <kekepower> 2.5-1.mga8
+ Revision: 1638667
- Update to version 2.5

* Tue Aug 18 2020 kekepower <kekepower> 2.4.2-1.mga8
+ Revision: 1615320
- Update to version 2.4.2

* Fri Aug 14 2020 kekepower <kekepower> 2.4.1-1.mga8
+ Revision: 1614013
- Update to version 2.4.1

* Mon Aug 10 2020 kekepower <kekepower> 2.4-1.mga8
+ Revision: 1613148
- Update to version 2.4
- Rediff Patch0

* Mon May 11 2020 daviddavid <daviddavid> 2.3.2-1.mga8
+ Revision: 1582861
- new version: 2.3.2

* Fri Feb 28 2020 kekepower <kekepower> 2.3.1-1.mga8
+ Revision: 1551335
- Update to version 2.3.1

* Fri Feb 21 2020 kekepower <kekepower> 2.3-1.mga8
+ Revision: 1548377
- Update to version 2.3

* Mon Feb 17 2020 umeabot <umeabot> 2.2.3-2.mga8
+ Revision: 1537676
- Mageia 8 Mass Rebuild

* Wed Nov 06 2019 daviddavid <daviddavid> 2.2.3-1.mga8
+ Revision: 1458409
- new version: 2.2.3

* Wed Oct 09 2019 daviddavid <daviddavid> 2.2.2-1.mga8
+ Revision: 1450684
- new version: 2.2.2

* Fri Sep 20 2019 daviddavid <daviddavid> 2.2.1-1.mga8
+ Revision: 1444103
- new version: 2.2.1

* Sun Sep 15 2019 daviddavid <daviddavid> 2.2.0-1.mga8
+ Revision: 1441663
- new version: 2.2.0
- rebuild for python3.8

* Sat Mar 16 2019 daviddavid <daviddavid> 2.1.3-1.mga7
+ Revision: 1377776
- new version: 2.1.3

* Sat Feb 02 2019 daviddavid <daviddavid> 2.1.2-1.mga7
+ Revision: 1362441
- new version: 2.1.2

* Tue Jan 08 2019 daviddavid <daviddavid> 2.1.0-2.mga7
+ Revision: 1352795
- rebuild for new Python 3.7

* Thu Jan 03 2019 daviddavid <daviddavid> 2.1.0-1.mga7
+ Revision: 1348885
- new version: 2.1.0

* Tue Oct 23 2018 daviddavid <daviddavid> 2.0.4-1.mga7
+ Revision: 1324371
- new version: 2.0.4 (mga#23750)
- port to Python3 and PyQt5
- remove old and incompatible additional plugins

* Sun Sep 23 2018 umeabot <umeabot> 1.4.2-3.mga7
+ Revision: 1300260
- Mageia 7 Mass Rebuild

* Sun Apr 22 2018 daviddavid <daviddavid> 1.4.2-2.mga7
+ Revision: 1221105
- change dependency mutagen for python2dist(mutagen)
- use new python provides
+ gw666 <gw666>
- new version 1.4.2
- new version 1.4.1
- update build deps
- the contrib plugins are gone
- update deps
- new version 1.4

* Tue Feb 16 2016 umeabot <umeabot> 1.3.2-3.mga6
+ Revision: 962098
- Mageia 6 Mass Rebuild

* Fri Aug 07 2015 gw666 <gw666> 1.3.2-2.mga6
+ Revision: 861582
- add missing dep on python-discid (bug #16518)

* Wed Jul 08 2015 gw666 <gw666> 1.3.2-1.mga6
+ Revision: 852714
- new version
- new version 1.3
- remove already included plugins
- add new plugins:
 * abbreviate_artistsort
 * copy_to_comment
 * musicbee_compatibility
 * standardise_performers

* Wed Oct 15 2014 umeabot <umeabot> 1.2-7.mga5
+ Revision: 750968
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.2-6.mga5
+ Revision: 727796
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.2-5.mga5
+ Revision: 687574
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.2-3.mga4
+ Revision: 542795
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.2-2.mga4
+ Revision: 498038
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Mar 31 2013 gw666 <gw666> 1.2-1.mga4
+ Revision: 406857
- new version
- drop patch
- drop deps on ffmpeg and libofa
- require chromaprint for fpcalc, which is now the only supported fingerprint

* Sun Jan 13 2013 umeabot <umeabot> 1.1-3.mga3
+ Revision: 377684
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 1.1-2.mga3
+ Revision: 341737
- rebuild for new ffmpeg
+ dams <dams>
- clean specfile

* Mon Oct 22 2012 gw666 <gw666> 1.1-1.mga3
+ Revision: 309178
- fix rpm package group
- new version 1.1
- update the patch 0
- update several plugins:
 * replaygain
 * last.fm
 * coverart
 * featartists
- new plugins:
 * all available search plugins
 * remove perfect albums
 * featartists in titles
 * titleversion
 * last.fm plus
 * no release
 * release type
 * title sort
 * add release
- suggest tools needed by replaygain and acoustID calculation plugins

* Sun Jun 03 2012 fwang <fwang> 1.0-1.mga3
+ Revision: 253561
- fix build with latest ffmpeg
- new version 1.0

* Mon Nov 28 2011 pterjan <pterjan> 0.16-1.mga2
+ Revision: 173968
- Update to 0.16

* Sat Jun 25 2011 fwang <fwang> 0.15-0.beta2.2.mga2
+ Revision: 113491
- fix build with new ffmpeg
- rebuil dfor new ffmpeg

* Thu Jun 16 2011 ahmad <ahmad> 0.15-0.beta2.1.mga2
+ Revision: 108040
- imported package picard

